1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

UPGRADE do UBUNTU

Discussão em 'Novidades GNU/Linux & *nix World' iniciada por sabi, 8 de Dezembro de 2007. (Respostas: 8; Visualizações: 980)

  1. BOas,

    instalei de novo o ubuntu 7.04 porque nao tinha a versão nova em cd, mas agora não me aparece para fazer a actualização. Existe alguma forma de forçar que o ubuntu actualize para o 7.10?????


    Obrigado
     
  2. esquiso

    esquiso Power Member

    Código:
    aptitude update && aptitude dist-upgrade
     
  3. tenho um erro ao fazer isso

    "[email protected]:~$ aptitude update && aptitude dist-upgrade
    E: Não foi possível abrir ficheiro de lock /var/lib/apt/lists/lock - open (13 Permissão negada)
    E: Não foi possível obter acesso exclusiva da lista de diretorias..é root?
    [email protected]:~$ aptitude update && aptitude dist-upgrade
    E: Não foi possível abrir ficheiro de lock /var/lib/apt/lists/lock - open (13 Permissão negada)
    E: Não foi possível obter acesso exclusiva da lista de diretorias..é root?
    [email protected]:~$ aptitude update
    E: Não foi possível abrir ficheiro de lock /var/lib/apt/lists/lock - open (13 Permissão negada)
    E: Não foi possível obter acesso exclusiva da lista de diretorias..é root?
    [email protected]:~$ aptitude dist-upgrade
    A Ler Listas de Pacotes... Pronto
    Construindo Árvore de Dependências
    Lendo informação de estado... Pronto
    A inicializar os estados dos pacotes... Pronto
    Criando a base de dados de etiquetas... Pronto
    E: Não foi possível abrir ficheiro de lock /var/lib/dpkg/lock - open (13 Permissão negada)
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
    [email protected]:~$
     
  4. esquiso

    esquiso Power Member

    sudo antes.
    sudo aptitude update && sudo aptitude dist-upgrade
     
  5. ainda não consegui amigo

    "[email protected]:~$ sudo aptitude update
    Password:
    Obter:1 http://pt.archive.ubuntu.com feisty Release.gpg [191B]
    Ign http://pt.archive.ubuntu.com feisty/main Translation-pt_PT
    Ign http://pt.archive.ubuntu.com feisty/restricted Translation-pt_PT
    Ign http://pt.archive.ubuntu.com feisty/universe Translation-pt_PT
    Ign http://pt.archive.ubuntu.com feisty/multiverse Translation-pt_PT
    Obter:2 http://pt.archive.ubuntu.com feisty-updates Release.gpg [191B]
    Ign http://pt.archive.ubuntu.com feisty-updates/main Translation-pt_PT
    Ign http://pt.archive.ubuntu.com feisty-updates/restricted Translation-pt_PT
    Acertou http://pt.archive.ubuntu.com feisty Release
    Obter:3 http://security.ubuntu.com feisty-security Release.gpg [191B]
    Ign http://security.ubuntu.com feisty-security/main Translation-pt_PT
    Acertou http://pt.archive.ubuntu.com feisty-updates Release
    Ign http://security.ubuntu.com feisty-security/restricted Translation-pt_PT
    Ign http://security.ubuntu.com feisty-security/universe Translation-pt_PT
    Ign http://security.ubuntu.com feisty-security/multiverse Translation-pt_PT
    Acertou http://pt.archive.ubuntu.com feisty/main Packages
    Acertou http://security.ubuntu.com feisty-security Release
    Acertou http://pt.archive.ubuntu.com feisty/restricted Packages
    Acertou http://pt.archive.ubuntu.com feisty/main Sources
    Acertou http://pt.archive.ubuntu.com feisty/restricted Sources
    Acertou http://pt.archive.ubuntu.com feisty/universe Packages
    Acertou http://pt.archive.ubuntu.com feisty/universe Sources
    Acertou http://pt.archive.ubuntu.com feisty/multiverse Packages
    Acertou http://pt.archive.ubuntu.com feisty/multiverse Sources
    Acertou http://pt.archive.ubuntu.com feisty-updates/main Packages
    Acertou http://pt.archive.ubuntu.com feisty-updates/restricted Packages
    Acertou http://pt.archive.ubuntu.com feisty-updates/main Sources
    Acertou http://security.ubuntu.com feisty-security/main Packages
    Acertou http://pt.archive.ubuntu.com feisty-updates/restricted Sources
    Acertou http://security.ubuntu.com feisty-security/restricted Packages
    Acertou http://security.ubuntu.com feisty-security/main Sources
    Acertou http://security.ubuntu.com feisty-security/restricted Sources
    Acertou http://security.ubuntu.com feisty-security/universe Packages
    Acertou http://security.ubuntu.com feisty-security/universe Sources
    Acertou http://security.ubuntu.com feisty-security/multiverse Packages
    Acertou http://security.ubuntu.com feisty-security/multiverse Sources
    Obteve 3B em 1s (2B/s)
    A Ler Listas de Pacotes... Pronto
    [email protected]:~$ sudo aptitude dist-upgrade
    A Ler Listas de Pacotes... Pronto
    Construindo Árvore de Dependências
    Lendo informação de estado... Pronto
    A inicializar os estados dos pacotes... Pronto
    Criando a base de dados de etiquetas... Pronto
    Nenhum pacote será instalado, actualizado ou removido.
    0 pacotes actualizados, 0 novos instalados, 0 para serem removidos e 0 não actualizados.
    É preciso obter 0B de ficheiros. Depois de desempacotar serão utilizados 0B.
    [email protected]:~$
     
  6. esquiso

    esquiso Power Member

    Foi estupidez minha, agora, peço desculpa.
    Substitui os repos que tens do festy pelos do gutsy:
    Código:
    gedit /etc/apt/sources.list
    E substitui o que tens ai por uns repos do Gutsy:

    Código:
    #Main - Restricted - Universe - Multiverse
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
    
    ## Major bug fix updates produced after the final release of the distribution.
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
    
    ## Security Updates
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy-security main restricted universe multiverse
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy-security main restricted universe multiverse
    
    ## Canonical's 'partner' repository. This software is not part of Ubuntu, but is
    ## offered by Canonical and the respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu gutsy partner
    # deb-src http://archive.canonical.com/ubuntu gutsy partner
    
    #WineHQ - Latest Wine for Gutsy
    deb http://wine.budgetdedicated.com/apt gutsy main
    
    ## Medibuntu - Ubuntu 7.10 "gutsy gibbon"
    ## Please report any bug on https://bugs.launchpad.net/medibuntu/
    deb http://packages.medibuntu.org/ gutsy free non-free
    #deb-src http://packages.medibuntu.org/ gutsy free non-free
    Depois

    Código:
    sudo aptitude update && sudo aptitude upgrade && sudo aptitude dist-upgrade
    No fim do processo, que deve ser bem longo, tens tudo porreiro, em principio :)
     
  7. VuDu

    VuDu Power Member

  8. neonl

    neonl Banido

    Ishh. Eu devo estar a ficar mesmo velhote :). Já nem conheço as GUIs do meu sistema operativo :o.

    A vantagem de usar o terminal é que tudo tem lógica a partir do momento em que se conhecem certas coisas. O facto de os repositórios APT terem uma tag a indicar a versão (quer em Debian que em Ubuntu) serve para isso.

    Ainda bem que há uma GUI mas nem sempre o processo mais "simples" é o mais lógico ;).

    Cumpz
     
  9. VuDu

    VuDu Power Member

    É logico que haja a possibilidade de fazermos "manualmente" (coisa que nos outros SOs "proprietarios" nem em sonhos) mas ainda bem que há maneira de fazer sem ter a necessidade de ter conhecimentos profundos de como funciona o SO.
    Neste caso, para quem só usa o pc para IM e navegar na net, pra ke ter a necessidade de andar a mexer em ficheiros estranhos. Se der barraca, assim a culpa é de quem desenhou a aplicação ou de quem fez os updates e não resolver conflitos em modos.
     

Partilhar esta Página